US Equities Daily OHLC
The US Equities Daily OHLC is based on sophisticated algoseek logic for extracting accurate Open/High/Low/Close trades from the Trades of the Securities Information Processor (SIP) data, also known as the “Consolidated Feed” for all listed stocks, ETNs, ETFs, ADRs, and funds. This dataset contains OHLCV data. In addition to the total volume, volume recorded during market hours and FINRA volume are separately provided. The VWAP (Volume Weighted Average Price) is available for both the entire trad
GEThttps://api.devalgoseek.com/api/v1/data/us-equity/eq-daily-ohlc#
The US Equities Daily OHLC is based on sophisticated algoseek logic for extracting accurate Open/High/Low/Close trades from the Trades of the Securities Information Processor (SIP) data, also known as the “Consolidated Feed” for all listed stocks, ETNs, ETFs, ADRs, and funds. This dataset contains OHLCV data. In addition to the total volume, volume recorded during market hours and FINRA volume are separately provided. The VWAP (Volume Weighted Average Price) is available for both the entire trading day and market hours. Files are systematically categorized by date and ticker.
For more details, please refer to the dataset documentation: US Equities Daily OHLC Guide (algoseek aggregation logic), US Equities Industry Standard Daily OHLC Guide (Industry Standard aggregation logic).
Aggregation Logic Options#
This dataset is available with different aggregation logic variants, which may affect how certain data fields are calculated.
algoseek#
algoseek core team comes from a high-frequency background and uses accepted de facto standards for calculating OHLC bars. See documentation for details on included/excluded fields.
Industry Standard#
Replicates the approach used by the industry's largest screen data vendor, which is also considered an industry standard by many professionals. The approach varies from modern calculations because it was set back in the 1990s in terms of the types of exchange flags that are included/excluded; see the specification for details.
Note: This dataset has an adjusted version available. By default, the endpoint returns price and volume values 'as-is' based on information published on the exchange. The adjusted version includes backward-adjusted data that accounts for corporate actions such as dividends and stock splits, which affect fields based on price and volume. You can control this behavior by using the adjusted query parameter in your API requests.
Advanced Filtering
You can provide one or multiple filter expressions based on the dataset's columns to narrow down the results. For example, StartDate.gt=2023-01-01&StartDate.lt=2023-12-31, Ticker=AAPL.
Please refer to the Advanced Filtering Guide for the extensive reference.
Request#
Query Parameters#
- Adjustment enabled
- Adjustment disabled
- JSON
- CSV Gzip
Flag to indicate whether to return adjusted price and volume data
falseReturn the adjusted data
trueReturn unadjusted data (default behavior)
falseSorting criteria for the results. Provide a column name with optional prefix '+' for ascending order, or prefix with '-' for descending order. Multiple sorting fields may be supported depending on the dataset. If sort prefix is not provided, the ascending order is applied.
A comma-separated list of columns to include in the response. Use this parameter to select only specific fields from the dataset. If not provided, all available columns will be returned.
Possible values: >= 0
Number of records to skip before returning results. To be used with the limit parameter for pagination. If not provided, defaults to 0.
0100Possible values: >= 0 and <= 100000
Maximum number of records to return. Used to control response size and pagination. If not provided, a default limit is applied by the server.
10000100Possible values: [json, csv, csv_gzip]
The type of the data to return
jsonJSON format (default)
jsonCompressed CSV format
csv_gzipPossible values: [algoseek, industry_std]
Aggregation logic variant of the dataset
algoseekResponses#
- 200
- 403
- 422
- 429
JSON, CSV file, or gzip-compressed CSV file, depending on the value of response_format query parameter
- application/json
- text/csv
- application/gzip
- Schema
- Example (auto)
Schema
- Array [
- ]
data object[]required
The trading day
2023-08-02Symbol name
AA unique identifier for a security
1010000000001000Primary exchange opening trade
122Highest trade price from any exchange excluding FINRA
128.72Lowest trade price from any exchange excluding FINRA
121.835Primary exchange closing trade
127.71Total trading volume during regular market hours only
2588869FINRA/TRF trading volume during regular market hours
989976Total trading volume for the whole day
2656212FINRA/TRF trading volume for the whole day
1057118Volume-weighted average price during regular market hours plus the Opening and Closing Cross
126.8498Volume-weighted average price for the whole day
126.8716pagination objectrequired
The number of records skipped to fetch the current page
0The maximum number of records in the current page
The number of records to skip to fetch the next page
{
"data": [
{
"TradeDate": "2023-08-02",
"Ticker": "A",
"ASID": 1010000000001000,
"OpenPrice": 122,
"HighPrice": 128.72,
"LowPrice": 121.835,
"ClosePrice": 127.71,
"MarketHoursVolume": 2588869,
"MarketHoursFinraVolume": 989976,
"DailyVolume": 2656212,
"DailyFinraVolume": 1057118,
"MarketHoursVWAP": 126.8498,
"DailyVWAP": 126.8716
}
],
"pagination": {
"limit": 1000,
"next_offset": 2000,
"offset": 1000
}
}
- Schema
- Example (auto)
Schema
"string"
- Schema
- Example (auto)
Schema
"string"
Forbidden
- application/json
Validation Error
- application/json
- Schema
- Example (auto)
Schema
- Array [
- Array [anyOf
- string
- integer
- ]
- ]
detail object[]
loc object[]required
{
"detail": [
{
"loc": [
"string",
0
],
"msg": "string",
"type": "string",
"ctx": {}
}
]
}
Request rejected because the identity or team exceeded a configured monthly or per-minute usage quota. When available, the response includes rate-limit headers describing the current quota.
Response Headers
Configured quota limit for the resource that was exceeded.
Remaining quota before the limit is reached. This is 0 when the request is rejected.
Number of seconds left in the current quota period before usage resets.
- application/json
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- postman-cli
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://api.devalgoseek.com/api/v1/data/us-equity/eq-daily-ohlc");
request.Headers.Add("Accept", "application/json");
request.Headers.Add("X-API-KEY", "<X-API-KEY>");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());
Click the Send API Request button above and see the response here!